# dag\_resolve

Resolve IPLD block.

#### REQUEST <a href="#request" id="request"></a>

```bash
curl "https://ipfs.krypc.io:5001/api/v0/dag/resolve?arg=<key>" \
    -X POST \
    -u "<API_KEY>:<API_KEY_SECRET>"
```

**REQUEST PARAMS**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/dag_resolve#request-params)

* `arg` *\[Required]* - The IPFS object hash; the path to resolve.

#### RESPONSE[​](https://docs.infura.io/networks/ipfs/http-api-methods/dag_resolve#response) <a href="#response" id="response"></a>

On success, the call to this endpoint will return with 200 and the following body:

```
{
    Cid: {
        /: "QmZtmD2qt6fJot32nabSP3CUjicnypEBz7bHVDhPQt9aAy"
    },
    RemPath: ""
}
```

**RESULT FIELDS**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/dag_resolve#result-fields)

* `Cid` - [Content ID](https://github.com/multiformats/cid).
* `RemPath`
